/* background color */
/* ------------------------------ */

.bg-none,
.background-color-none {
    background-color: unset !important
}

.bg-transparent,
.background-color-transparent {
    background-color: transparent !important
}

/* background gray */

.bg-black,
.bg-color-00,
.background-color-00 {
    background-color: #000 !important
}

.bg-color-11,
.background-color-11 {
    background-color: #111 !important
}

.bg-color-22,
.background-color-22 {
    background-color: #222 !important
}

.bg-color-33,
.background-color-33 {
    background-color: #333 !important
}

.bg-dark,
.bg-color-3c,
.background-color-3c {
    background-color: #3c3c3c !important
}

.bg-color-44,
.background-color-44 {
    background-color: #444 !important
}

.bg-color-55,
.background-color-55 {
    background-color: #555 !important
}

.bg-color-66,
.background-color-66 {
    background-color: #666 !important
}

.bg-color-77,
.background-color-77 {
    background-color: #777 !important
}

.bg-muted,
.bg-color-78,
.background-color-78 {
    background-color: #787878 !important
}

.bg-color-88,
.background-color-88 {
    background-color: #888 !important
}

.bg-color-99,
.background-color-99 {
    background-color: #999 !important
}

.bg-color-aa,
.background-color-aa {
    background-color: #aaa !important
}

.bg-color-bb,
.background-color-bb {
    background-color: #bbb !important
}

.bg-color-cc,
.background-color-cc {
    background-color: #ccc !important
}

.bg-color-dd,
.background-color-dd {
    background-color: #ddd !important
}

.bg-color-ee,
.background-color-ee {
    background-color: #eee !important
}

.bg-light,
.bg-color-f0,
.background-color-f0 {
    background-color: #f0f0f0 !important
}

.bg-color-fa,
.background-color-fa {
    background-color: #fafafa !important
}

.bg-white,
.bg-color-ff,
.background-color-ff {
    background-color: #fff !important
}

/* background opacity */

.bg-black-50,
.bg-color-00-50,
.background-color-00-50 {
    background-color: rgba(0, 0, 0, .5) !important
}

.bg-white-50,
.bg-color-ff-50,
.background-color-ff-50 {
    background-color: rgba(255, 255, 255, .5) !important
}

/* ad-mrkang@naver.com */